DROP TABLE IF EXISTS router;
DROP TABLE IF EXISTS unsupportedrouter;

CREATE TABLE router (_id INTEGER PRIMARY KEY, shortid TEXT, name TEXT, modelname TEXT, modeldescription TEXT, image TEXT, headerimage TEXT, workflows TEXT, classname TEXT, minfirmware TEXT, oldwlanmodule TEXT, routerexchangeallowed INTEGER, oui TEXT);
CREATE TABLE unsupportedrouter (_id INTEGER PRIMARY KEY, shortid TEXT, name TEXT, modelname TEXT, modeldescription TEXT, headerimage TEXT, ancient INTEGER);

INSERT INTO router VALUES(0,'W504V','Speedport W 504V Typ A','ARV4528PW', 'Speedport W 504V Typ A with TR064 support', 'ic_vector_illu_speedport_504v', 'speedport_504v', '','Speedport504TypA', '1.22.000', '1', 1, '001A2A');
INSERT INTO router VALUES(1,'W723V','Speedport W 723V','Speedport W 723V Typ A', 'Speedport W723V', 'ic_vector_illu_speedport_723v', 'speedport_723v', 'VOIP','', '1.45.000', '1', 1, '00E0FC');
INSERT INTO router VALUES(2,'W723V','Speedport W 723V','ARV4528PW', 'Speedport W 723V Typ B with TR064 support', 'ic_vector_illu_speedport_723v', 'speedport_723v', 'VOIP','Speedport723TypB', '1.01.018', '1', 1, '001A2A');
INSERT INTO router VALUES(3,'W724V','Speedport W 724V Typ A','Speedport W 724V Typ A', 'Speedport W 724V', 'ic_vector_illu_speedport_724v', 'speedport_724v', 'VOIP', 'Speedport724TypA', '05011603.05.028', '0', 1, '00E0FC');
INSERT INTO router VALUES(4,'W724V','Speedport W 724V Typ B','VRV9510KW', 'Speedport W 724V Typ B with TR064 support', 'ic_vector_illu_speedport_724v', 'speedport_724v', 'VOIP', 'Speedport724TypB', '01011603.05.033', '0', 1, '001A2A');
INSERT INTO router VALUES(5,'W724V','Speedport W 724V Typ C','Speedport W 724V Typ C', 'Speedport W 724V', 'ic_vector_illu_speedport_724v', 'speedport_724v', 'VOIP', 'Speedport724TypC', '09011603.05.013', '0', 1, '00C002');
INSERT INTO router VALUES(6,'W921V','Speedport W 921V','ARV4528PW', 'Speedport W 921V Typ B with TR064 support', 'ic_vector_illu_speedport_921v', 'speedport_921v', 'VOIP', 'Speedport921', '1.44.000', '1', 1, '001A2A');
INSERT INTO router VALUES(7,'W922V','Speedport W 922V','VRV951AKW', 'Speedport W 922V Typ B with TR064 support', 'ic_vector_illu_speedport_922v', 'speedport_922v', 'VOIP', 'Speedport922', '01013203.00.003', '0', 1, '001A2A');
INSERT INTO router VALUES(8,'Entry1','Speedport Entry','ARV8539PW', 'Speedport Entry with TR064 support', 'ic_vector_illu_speedport_entry', 'speedport_entry', 'VOIP', 'SpeedportEntry', '2.06.000', '1', 1, '001A2A');
INSERT INTO router VALUES(9,'Entry2','Speedport Entry 2','Speedport Entry 2', 'Speedport Entry 2', 'ic_vector_illu_speedport_entry_2', 'speedport_entry_2', 'VOIP', 'SpeedportEntry2', '090126.2.5.002.1', '1', 1, '00C002');
INSERT INTO router VALUES(10,'Hybrid','Speedport Hybrid','Speedport Hybrid', 'Speedport Hybrid', 'ic_vector_illu_speedport_hybrid', 'speedport_hybrid', 'VOIP', 'SpeedportHybrid', '050124.03.07.001', '0', 1, '00E0FC');
INSERT INTO router VALUES(11,'Neo','Speedport Neo','Speedport NEO', 'Speedport NEO', 'ic_vector_illu_speedport_neo', 'speedport_neo', 'VOIP', 'SpeedportNeo', '090128.2.5.002.2', '1', 0, '00C002');
INSERT INTO router VALUES(12,'Smart1','Speedport Smart','Speedport Smart', 'Speedport Smart', 'ic_vector_illu_speedport_smart', 'speedport_smart', 'VOIP', 'SpeedportSmartV1', '050129.2.5.023.0', '0', 1, '00E0FC');
INSERT INTO router VALUES(13,'Smart2','Speedport Smart 2','Speedport Smart 2', 'Speedport Smart 2', 'ic_vector_illu_speedport_smart', 'speedport_smart_2', 'VOIP', 'SpeedportSmartV2', '', '0', 1, '00E0FC');
INSERT INTO router VALUES(14,'FritzBox','FRITZ!Box 7490','FRITZ!Box 7490', 'FRITZ!Box 7490', 'ic_vector_illu_fritzbox_7490', 'fritzbox_7490', 'VOIP', 'FritzBox7490', '113.06.93', '0', 0, '');
INSERT INTO router VALUES(15,'FritzBox','FRITZ!Box 7590','FRITZ!Box 7590', 'FRITZ!Box 7590', 'ic_vector_illu_fritzbox_7590', 'fritzbox_7590', 'VOIP', 'FritzBox7590', '154.06.92', '0', 0, '');
INSERT INTO router VALUES(20,'W503V','Speedport W 503V','Speedport W 503V','Speedport W 503V', 'ic_vector_illu_speedport_503v', 'speedport_503v', 'VOIP', 'Speedport503A', '', '1', 1, '00040E');;
INSERT INTO router VALUES(21,'W503V','Speedport W 503V Typ C','ARV4528PW','Speedport W 503V with TR064 support', 'ic_vector_illu_speedport_503v', 'speedport_503v', 'VOIP', 'Speedport503C1', '', '1', 1, '001A2A');
INSERT INTO router VALUES(22,'W503V','Speedport W 503V Typ C','ARV4528PW','Speedport W 503V Typ C with TR064 support', 'ic_vector_illu_speedport_503v', 'speedport_503v', 'VOIP', 'Speedport503C2', '', '1', 1, '001A2A');
INSERT INTO router VALUES(23,'Smart3','Speedport Smart 3','Speedport Smart 3', 'Speedport Smart 3', 'ic_vector_illu_speedport_smart', 'speedport_smart_3', 'VOIP', 'SpeedportSmartV3', '', '0', 1, '001A2A');
INSERT INTO router VALUES(26,'Pro','Speedport Pro','Speedport Pro', 'Speedport Pro', 'ic_vector_illu_speedport_pro', 'speedport_pro', 'VOIP', 'SpeedportPro', '120133.1.0.446.0', '0', 1, '');
INSERT INTO router VALUES(27,'W925V','Speedport W 925V','Speedport W925V','Speedport W925V', 'ic_vector_illu_speedport_smart', 'speedport_925v', 'VOIP', 'Speedport925', '010135.1.5.003.0', '0', 0, '');
INSERT INTO router VALUES(28,'W701V','Speedport W 701V','Speedport W 701V','Speedport W 701V', 'speedport_701v', 'speedport_701v', '', 'Speedport701', '', '0', 0, '');
INSERT INTO router VALUES(29,'W720V','Speedport W 720V','ARV4528KW','Speedport_W_720V with TR064 support', 'speedport_720v', 'speedport_720v', '', 'Speedport720', '', '0', 0, '');
INSERT INTO router VALUES(30,'W721V','Speedport W 721V','Speedport W 721V','Speedport W 721V', 'speedport_721v', 'speedport_721v', '', 'Speedport721', '', '0', 0, '');
INSERT INTO router VALUES(31,'W722V','Speedport W 722V','VGV8529HW22','Speedport W 722V with TR064 support', 'speedport_722v', 'speedport_722v', '', 'Speedport722TypA', '', '0', 0, '');
INSERT INTO router VALUES(32,'W722V','Speedport W 722V','Speedport W 722V','Speedport W 722V', 'speedport_722v', 'speedport_722v', '', 'Speedport722TypB', '', '0', 0, '');
INSERT INTO router VALUES(33,'W900V','Speedport W 900V','Speedport W 900V','Speedport W 900V', 'speedport_900v', 'speedport_900v',  '', 'Speedport900', '', '0', 0, '');
INSERT INTO router VALUES(34,'W920V','Speedport W 920V','Speedport W 920V','Speedport W 920V', 'speedport_920v', 'speedport_920v', '', 'Speedport920', '', '0', 0, '');


INSERT INTO unsupportedrouter VALUES(0,'W303V','Speedport W 303V','BRCM963xx', 'Speedport W 303V', 'speedport_303v', 1);
INSERT INTO unsupportedrouter VALUES(1,'W303V','Speedport W 303V','ARV4525PW', 'Speedport W 303V with TR064 support', 'speedport_303v', 1);
INSERT INTO unsupportedrouter VALUES(2,'W501V','Speedport W 501V','Speedport W 501V', 'Speedport W 501V', 'speedport_501v', 1);
INSERT INTO unsupportedrouter VALUES(3,'W502V','Speedport W 502V', 'VGV4508BW', 'Speedport W 502V with TR064 support', 'speedport_502v', 1);
INSERT INTO unsupportedrouter VALUES(4,'W700V','Speedport W 700V','Speedport W 700V','', 'speedport_700v',1);

--INSERT INTO router VALUES(16,'FritzBox','FRITZ!Box 7580','FRITZ!Box 7580', '', 'ic_vector_illu_fritzbox_7580', 'fritzbox_7580', 'VOIP', 'FritzBoxRouter', '153.06.92', '0', 0, '');
--INSERT INTO router VALUES(17,'FritzBox','FRITZ!Box 7390','FRITZ!Box 7390', '', 'ic_vector_illu_fritzbox_7490', 'fritzbox_fon_7390', 'VOIP', 'FritzBoxRouter', '84.06.83', '1', 0, '');
--INSERT INTO router VALUES(18,'FritzBox','FRITZ!Box Fon WLAN 7390','FRITZ!Box Fon WLAN 7390', '', 'ic_vector_illu_fritzbox_7490', 'fritzbox_fon_7390', 'VOIP', 'FritzBoxRouter', '', '1', 0, '');
--INSERT INTO router VALUES(19,'FritzBox','FRITZ!Box 7362 SL (UI)','FRITZ!Box 7362 SL (UI)', '', 'ic_vector_illu_fritzbox_7490', 'fritzbox_fon_7390', 'VOIP', 'FritzBoxRouter', '', '1', 0, '');
--INSERT INTO router VALUES(24,'FritzBox','FRITZ!Box 7530','FRITZ!Box 7530', '', 'ic_vector_illu_fritzbox_7590', 'fritzbox_7590', 'VOIP', 'FritzBoxRouter', '154.06.92', '0', 0, '');
--INSERT INTO router VALUES(25,'FritzBox','FRITZ!Box 7530 (UI)','FRITZ!Box 7530 (UI)', '', 'ic_vector_illu_fritzbox_7590', 'fritzbox_7590', 'VOIP', 'FritzBoxRouter', '154.06.92', '0', 0, '');